Open SCAP Library

Public Member Functions | Data Fields
cve_summary Struct Reference
CVE

Structure holding CVE summary data. More...

`#include <cve_priv.h>`

## Public Member Functions
struct cve_summary * | cve_summary_new (void)
| New CVE summary. More...
struct cve_summary * | cve_summary_clone (struct cve_summary *old_sum)
| Clone CVE summary. More...
void | cve_summary_free (struct cve_summary *summary)
| Free CVE summary. More...
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | cve_summary_get_summary (const struct cve_summary *summary)
| Get value from CVE summary. More...
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | cve_summary_set_summary (struct cve_summary *summary, const char *new_summary)
| Set summary of CVE summary. More...

## Data Fields
char * | summary

## Detailed Description

Structure holding CVE summary data.

The documentation for this struct was generated from the following files:

- cve_priv.c
- cve_nvd.h